Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/dyn_em/module_initialize_real.F
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/dyn_em/module_initialize_real.F	(revision 2038)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/dyn_em/module_initialize_real.F	(revision 2039)
@@ -1418,280 +1418,282 @@
 #endif
 
-!VENUS photochemistry
-if ( config_flags%mars == 34 ) then
-       print*,'grid%em_qco2_gc',grid%em_qco2_gc(0,:,0)
-       CALL vert_interp_old ( grid%em_qco2_gc , grid%em_pd_gc , scalar(:,:,:,2) , grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order , lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qco_gc , grid%em_pd_gc , scalar(:,:,:,3), grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order ,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qh2_gc , grid%em_pd_gc , scalar(:,:,:,4),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qh2o_gc , grid%em_pd_gc , scalar(:,:,:,5),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qo1d_gc , grid%em_pd_gc , scalar(:,:,:,6),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qo_gc , grid%em_pd_gc , scalar(:,:,:,7),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qo2_gc , grid%em_pd_gc , scalar(:,:,:,8),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qo2dg_gc , grid%em_pd_gc , scalar(:,:,:,9),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qo3_gc , grid%em_pd_gc , scalar(:,:,:,10),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qh_gc , grid%em_pd_gc , scalar(:,:,:,11),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qoh_gc , grid%em_pd_gc , scalar(:,:,:,12), grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qho2_gc , grid%em_pd_gc , scalar(:,:,:,13),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qh2o2_gc , grid%em_pd_gc , scalar(:,:,:,14),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qcl_gc , grid%em_pd_gc , scalar(:,:,:,15),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order ,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qclo_gc , grid%em_pd_gc , scalar(:,:,:,16),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qcl2_gc , grid%em_pd_gc , scalar(:,:,:,17),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qhcl_gc , grid%em_pd_gc , scalar(:,:,:,18),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qhocl_gc , grid%em_pd_gc , scalar(:,:,:,19),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qclco_gc , grid%em_pd_gc , scalar(:,:,:,20),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qclco3_gc , grid%em_pd_gc , scalar(:,:,:,21),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qcocl2_gc , grid%em_pd_gc , scalar(:,:,:,22),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qs_gc , grid%em_pd_gc , scalar(:,:,:,23), grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order ,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qso_gc , grid%em_pd_gc , scalar(:,:,:,24),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qso2_gc , grid%em_pd_gc , scalar(:,:,:,25), grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order ,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qo3_gc , grid%em_pd_gc , scalar(:,:,:,26),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order ,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qs2o2_gc , grid%em_pd_gc , scalar(:,:,:,27),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qocs_gc , grid%em_pd_gc , scalar(:,:,:,28),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qhso3_gc , grid%em_pd_gc , scalar(:,:,:,29),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qh2so4_gc , grid%em_pd_gc , scalar(:,:,:,30),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qs2_gc , grid%em_pd_gc , scalar(:,:,:,31),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qclso2_gc , grid%em_pd_gc , scalar(:,:,:,32),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qoscl_gc , grid%em_pd_gc , scalar(:,:,:,33),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qh2oliq_gc , grid%em_pd_gc , scalar(:,:,:,34),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-       CALL vert_interp_old ( grid%em_qh2so4liq_gc , grid%em_pd_gc , scalar(:,:,:,35),grid%em_pb , &
-                                    num_metgrid_levels , 'Q' , &
-                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
-                                    zap_close_levels , force_sfc_in_vinterp , &
-                                    ids , ide , jds , jde , kds , kde , &
-                                    ims , ime , jms , jme , kms , kme , &
-                                    its , ite , jts , jte , kts , kte )
-
-endif
+!#ifdef NEWPHYS
+!!VENUS photochemistry
+!if ( config_flags%mars == 34 ) then
+!       print*,'grid%em_qco2_gc',grid%em_qco2_gc(0,:,0)
+!       CALL vert_interp_old ( grid%em_qco2_gc , grid%em_pd_gc , scalar(:,:,:,2) , grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order , lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qco_gc , grid%em_pd_gc , scalar(:,:,:,3), grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order ,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qh2_gc , grid%em_pd_gc , scalar(:,:,:,4),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qh2o_gc , grid%em_pd_gc , scalar(:,:,:,5),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qo1d_gc , grid%em_pd_gc , scalar(:,:,:,6),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qo_gc , grid%em_pd_gc , scalar(:,:,:,7),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qo2_gc , grid%em_pd_gc , scalar(:,:,:,8),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qo2dg_gc , grid%em_pd_gc , scalar(:,:,:,9),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qo3_gc , grid%em_pd_gc , scalar(:,:,:,10),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qh_gc , grid%em_pd_gc , scalar(:,:,:,11),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qoh_gc , grid%em_pd_gc , scalar(:,:,:,12), grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qho2_gc , grid%em_pd_gc , scalar(:,:,:,13),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qh2o2_gc , grid%em_pd_gc , scalar(:,:,:,14),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qcl_gc , grid%em_pd_gc , scalar(:,:,:,15),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order ,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qclo_gc , grid%em_pd_gc , scalar(:,:,:,16),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qcl2_gc , grid%em_pd_gc , scalar(:,:,:,17),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qhcl_gc , grid%em_pd_gc , scalar(:,:,:,18),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qhocl_gc , grid%em_pd_gc , scalar(:,:,:,19),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qclco_gc , grid%em_pd_gc , scalar(:,:,:,20),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qclco3_gc , grid%em_pd_gc , scalar(:,:,:,21),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qcocl2_gc , grid%em_pd_gc , scalar(:,:,:,22),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qs_gc , grid%em_pd_gc , scalar(:,:,:,23), grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order ,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qso_gc , grid%em_pd_gc , scalar(:,:,:,24),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qso2_gc , grid%em_pd_gc , scalar(:,:,:,25), grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order ,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qo3_gc , grid%em_pd_gc , scalar(:,:,:,26),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order ,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qs2o2_gc , grid%em_pd_gc , scalar(:,:,:,27),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qocs_gc , grid%em_pd_gc , scalar(:,:,:,28),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qhso3_gc , grid%em_pd_gc , scalar(:,:,:,29),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qh2so4_gc , grid%em_pd_gc , scalar(:,:,:,30),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qs2_gc , grid%em_pd_gc , scalar(:,:,:,31),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qclso2_gc , grid%em_pd_gc , scalar(:,:,:,32),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qoscl_gc , grid%em_pd_gc , scalar(:,:,:,33),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qh2oliq_gc , grid%em_pd_gc , scalar(:,:,:,34),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!       CALL vert_interp_old ( grid%em_qh2so4liq_gc , grid%em_pd_gc , scalar(:,:,:,35),grid%em_pb , &
+!                                    num_metgrid_levels , 'Q' , &
+!                                    interp_type , lagrange_order,lowest_lev_from_sfc , &
+!                                    zap_close_levels , force_sfc_in_vinterp , &
+!                                    ids , ide , jds , jde , kds , kde , &
+!                                    ims , ime , jms , jme , kms , kme , &
+!                                    its , ite , jts , jte , kts , kte )
+!
+!endif
+!#endif
 
 !!! we want any scalar (i.e. tracer) to be positive
